FPR(1)

NAME
fpr - print Fortran file

SYNOPSIS
fpr

DESCRIPTION
fpr is a filter that transforms files formatted according to Fortran's carriage control conventions into files formatted according to UNIX line printer conventions.

fpr copies its input onto its output, replacing the carriage control characters with characters that will produce the intended effects when printed using lpr(1). The first character of each line determines the vertical spacing as follows:
Blank One line
0 Two lines
1 To first line of next page
+ advance

A blank line is treated as if its first character is a blank. A blank that appears as a carriage control character is deleted. A zero is changed to a newline. A one is changed to a form feed. The effects of a ‘+’ are simulated using backspaces.

EXAMPLES
    a.out | fpr | lpr

    fpr f77.output | lpr

HISTORY
The fpr command appeared in 4.2BSD.

BUGS
Results are undefined for input lines longer than 170 characters.